Subject: Re: Does anyone have a man command??
From: [email-masked] (David Shochat)

28 Mar 1997 01:47:11 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.0b2 (Win95; I)
Original-To: [email-masked]
Original-CC: [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Peter Craft wrote:
> 
> I'm not sure if this mailing list is the right place to
> send this question, but I'm trying to find a man command
> to allow me to view the man pages that are distributed with
> the gnu-win32 toolset.  I've searched everywhere, but can't
> seem to find one (or an equivalent *roff command).
> 
Yes, when I first downloaded the Cygnus toolset, my first major
frustration was seeing all those man pages and finding nothing to view
them with. What I finally did was to get a non-Cygnus port of groff:
http://www.itribe.net/virtunix/groff-1.10nt.zip
Note that it does not include the groff driver program since whoever did
this port hadn't yet gotten that working under Win95/NT. So you have to
set up your pipeline yourself. For instance, I have the following bash
shell function defined in my .bashrc:

function mman() { troff -man -Tascii $1 | grotty | less; }

That's not very elegant, since you have to pass the actual man page file
to it. I'm sure I've seen smarter versions from others on this list.

Now I couldn't find less in the Cygnus toolset either. The one I use
came from:
http://wwwdim.uqac.uquebec.ca/ftp/pub/gnuwin32/less321w.zip

Don't try to use "mount"ed directories or the Cygnus-only //d/path way
of specifying drives since these are non-Cygnus ports and they won't
understand any of that.
-- David
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".